com.ibm.openpages.api.workflow

## Interface IWFProcessDefinitionFindOptions

- All Superinterfaces:
    IBaseFindOptions, IWFBaseFindOptions

      public interface IWFProcessDefinitionFindOptions
      extends IWFBaseFindOptions

  Represents options for `IWorkflowService.getProcessDefinitions(IWFProcessDefinitionFindOptions)`.

  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WFProcessDefinitionState` | `getProcessDefinitionState()` Returns the Process Definition state
    `boolean` | `isRetrieveVersions()` Returns the retrieve version flag
    `void` | `setProcessDefinitionState(WFProcessDefinitionState processDefinitionState)` Set the Process Definition state.
    `void` | `setRetrieveVersions(boolean retrieveVersions)` Sets the flag to retrieve the latest version information for the retrieved process definitions.

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFBaseFindOptions

      `addCondition, getConditions, getPageNum, getResultsPerPage, setConditions, setPageNum, setResultsPerPage, setSortFieldName`

    - ### Methods inherited from interface com.ibm.openpages.api.rule.IBaseFindOptions

      `getAndOr, getIncludeTotalCount, getIsPagingOn, getMaxResults, getReturnLastRow, getReturnOnlyCounts, getReturnStartRow, getSortDirection, getSortFieldName, setAndOr, setIncludeTotalCount, setMaxResults, setPagingOn, setReturnLastRow, setReturnOnlyCounts, setReturnStartRow, setSortDirection`

- - ### Method Detail

    - #### setRetrieveVersions

          void setRetrieveVersions(boolean retrieveVersions)

      Sets the flag to retrieve the latest version information for the retrieved process definitions. Default behavior does not retrieve the version information.
      Parameters:
        `retrieveVersions` -

    - #### isRetrieveVersions

          boolean isRetrieveVersions()

      Returns the retrieve version flag
      Returns:

    - #### getProcessDefinitionState

          WFProcessDefinitionState getProcessDefinitionState()

      Returns the Process Definition state
      Returns:

    - #### setProcessDefinitionState

          void setProcessDefinitionState(WFProcessDefinitionState processDefinitionState)

      Set the Process Definition state. Supported by `WFProcessDefinitionState`. Default value is `WFProcessDefinitionState.published`
      Parameters:
        `processDefinitionState` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.